### Method

# GtkSource Language get_style_fallback

#### Declaration [src]

    const gchar*
    gtk_source_language_get_style_fallback (
      GtkSourceLanguage* language,
      const gchar* style_id
    )

#### Description [src]

Returns the ID of the style to use if the specified `style_id` is not present in the current style scheme.

#### Parameters

`style_id`

  Type: `const gchar*`

  A style ID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

The ID of the style to use if the specified `style_id` is not present in the current style scheme or `NULL` if the style has no fallback defined. The returned string is owned by the `language` and must not be modified.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.